local _,L = ...

Growler_Constants = CreateFrame("Frame","Growler_Constants",UIParent)
local C = Growler_Constants

C.color = {
	white = "|cffffffff",
	grey = "|cff888888",
	teal = "|cff33ff88",
	green = "|cff00ff00",
	blue = "|cff6688ff",
	redorange = "|cffff3300",
	red = "|cffff0000",
	orange = "",
}

C.btnPadding = 10
C.btnSpacing = 5 
C.barbtnSize = 20
C.btnSize = 28
C.petbtnSize = 22
C.stancebtnSize = 13
C.petbtnOffset = 4
C.siSize = 100
C.portraitSize = 40

C.stableTitleHeight = 60
C.stablemodelSize = 300
C.stablebrowsermodelSize = 80
C.stablebrowserCols = 4
C.stableslotSize = 45
C.stablecatSize = 40
C.stablePadding = 20
C.stableSpacing = 10
C.stabletabWidth = 60
C.stabletabHeight = 60

C.Options = {
	["main"] = {
		["pos_x"] = {
			["default"]			= 0,
		},
		["pos_y"] = {
			["default"]			= -200,
		},
		["point"] = {
			["default"]			= "CENTER",
		},		
		["relativeto"] = {
			["default"]			= World,
		},
		["relativepoint"] = {
			["default"]			= "CENTER",
		},
		["activepetslot"] = {
			["default"]			= 0,
		},
		["si_point"] = {
			["default"]			= "CENTER",
		},
		["si_relativeto"] = {
			["default"]			= World,
		},
		["si_relativepoint"] = {
			["default"]			= "CENTER",
		},
		["si_pos_x"] = {
			["default"]			= 0,
		},
		["si_pos_y"] = {
			["default"]			= 150,
		},
		
		["enable"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "buttons",
			["description"]		= L["Enable all action buttons"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["hidebar"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "hidebar",
			["description"]		= L["Hide the Growler bar completely"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["showportrait"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "showportrait",
			["description"]		= L["Show portrait and health bar"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["hidepetframe"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "hidepetframe",
			["description"]		= L["Hide the default pet frame"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["sound"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "sound",
			["description"]		= L["Enable sound"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["hidedefaultbar"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "hidedefaultbar",
			["description"]		= L["Hide the default pet bar"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["displaynews"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "displaynews",
			["description"]		= L["Display messages about recent updates upon login"],
			["combat"]			= true,
			["hunteronly"]		= false,
		},
		["disablewhenresting"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "disablewhenresting",
			["description"]		= L["Disable alerts when resting and not in combat"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["reminder"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "remind",
			["description"]		= L["Keep making sounds if no action is taken"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["notifygroup"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "notify",
			["description"]		= L["Notify group when someone uses growl"],
			["combat"]			= true,
			["hunteronly"]		= false,
		},
		["slashmsg"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "slashmsg",
			["description"]		= L["Show a confirmation message when toggling options through slash commands"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["screenicons"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "screenicons",
			["description"]		= L["Enable blinking icons at the center of the screen"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
		["barsize"] = {
			["default"]			= 1.0,
			["type"] 			= "number",
			["min"] 			= 0.8,
			["max"] 			= 2.0,
			["slash"] 			= "barsize",
			["description"]		= L["Size of the bar"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["sisize"] = {
			["default"]			= 1.0,
			["type"] 			= "number",
			["min"] 			= 0.5,
			["max"] 			= 5.0,
			["slash"] 			= "sisize",
			["description"]		= L["Size of the screen icons"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["savepos"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "screenicons",
			["description"]		= L["Save the bar position and size between sessions"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["usegrowlemote"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "usegrowlemote",
			["description"]		= L["Use the old /growl emote (requires /reload)"],
			["combat"]			= true,
			["hunteronly"]		= false,
		},
	},
	["Pet and respec buttons"] = {
		["showpets"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "showpets",
			["description"]		= L["Show pet buttons for all of your pets"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["showspecs"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "showspecs",
			["description"]		= L["Show respec buttons for your pet"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["petsbottom"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "petsbottom",
			["description"]		= L["Put the pet buttons at the bottom of the bar instead of on top"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["specsbottom"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "specsbottom",
			["description"]		= L["Put the respec buttons at the bottom of the bar instead of on top"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["dpsremind"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "dpsremind",
			["description"]		= L["Remind you to respec your pet to Ferocity when you are in a group"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
	},
	["Buttons"] = {
		["enable_growl"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "growl",
			["description"]		= L["Give alerts about %s"]:format(GetSpellInfo(2649)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["nonparty"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "nonparty",
			["description"]		= L["Alert about growl when not in a group"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_call"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "call",
			["description"]		= L["Give alerts about %s"]:format(GetSpellInfo(67777)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_revive"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "revive",
			["description"]		= L["Give alerts about %s"]:format(GetSpellInfo(982)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_mend"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "mend",
			["description"]		= L["Give alerts about %s"]:format(GetSpellInfo(136)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["mend_threshhold"] = {
			["default"]			= 0.5,
			["type"] 			= "number",
			["min"] 			= 0.1,
			["max"] 			= 1.0,
			["slash"] 			= "mendat",
			["description"]		= L["At how much health should Growler alert for Mend Pet"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_playdead"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "playdead",
			["description"]		= L["Give alerts about %s"]:format(GetSpellInfo(209997)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_wakeup"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "wakeup",
			["description"]		= L["Give alerts about %s"]:format(GetSpellInfo(210000)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_attack"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "petattack",
			["description"]		= L["Show %s on the bar"]:format(L["Pet Attack"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_command"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "command",
			["description"]		= L["Show %s on the bar"]:format(L["pet movement command button"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_hotp"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "hotp",
			["description"]		= L["Show %s on the bar"]:format(GetSpellInfo(55709)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_laststand"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "laststand",
			["description"]		= L["Show %s on the bar"]:format(GetSpellInfo(53478)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_special"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "special",
			["description"]		= L["Show %s on the bar"]:format(L["family special abilities"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_passive"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "passive",
			["description"]		= L["Give alerts about putting your pet on passive"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_assist"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "assist",
			["description"]		= L["Give alerts about putting your pet on assist"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_defensive"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "defensive",
			["description"]		= L["Give alerts about putting your pet on defensive"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["snooze"] = {
			["default"]			= 60,
			["type"] 			= "number",
			["min"] 			= 5,
			["max"] 			= 300,
			["slash"] 			= "snooze",
			["description"]		= L["Snooze time (seconds)"],
			["combat"]			= true,
			["hunteronly"]		= true,
		},
	},
	["Autocast"] = {
		["enable_autocast"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autocast",
			["description"]		= L["Let Growler control your pets' autocast abilities"],
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Dash"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "dash",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(GetSpellInfo(61684)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Bullheaded"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "bullheaded",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(GetSpellInfo(53490)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Roar of Sacrifice"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "roarofsacrifice",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(GetSpellInfo(53480)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Charge"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "charge",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(GetSpellInfo(61685)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Thunderstomp"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "thunderstomp",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(GetSpellInfo(63900)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Basic Attacks"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "basicattacks",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(L["Basic Attacks"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Shielding abilities"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "shielding",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(L["Shielding Abilities"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Mortal Wounds abilities"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "mortalwounds",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(L["Mortal Wounds Abilities"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Stealth abilities"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "stealth",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(L["Stealth Abilities"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Slow abilities"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "slow",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(L["Slow Abilities"]),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
		["enable_Spirit Mend"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "spiritmend",
			["description"]		= L["Give alerts about %s and make sure it's on autocast (disable to keep it off)"]:format(GetSpellInfo(90361)),
			["combat"]			= false,
			["hunteronly"]		= true,
		},
	},
	["automatic"] = {
		["auto_growl"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autogrowl",
			["description"]		= L["Set Growl and autocast abilities to the chosen setting automatically when you cast certain spells"],
			["combat"]			= false,
			["hunteronly"]		= true,			
		},
		["auto_attack"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autopetattack",
			["description"]		= L["Make your pet automatically attack your target when you cast certain spells (careful with this)"],
			["combat"]			= false,
			["hunteronly"]		= true,			
		},
		["auto_playdead"] = {
			["default"]			= false,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autoplaydead",
			["description"]		= L["Make your pet Play Dead when you cast Feign Death"],
			["combat"]			= false,
			["hunteronly"]		= true,	
		},
		["auto_wakeup"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autowakeup",
			["description"]		= L["Automatically wake up your pet when you cast certain spells (Beast Measter only)"],
			["combat"]			= false,
			["hunteronly"]		= true,			
		},
		["auto_call"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autocall",
			["description"]		= L["Automatically call your saved pet when you cast certain spells"],
			["combat"]			= false,
			["hunteronly"]		= true,	
		},
		["auto_revive"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autorevive",
			["description"]		= L["Automatically revive your pet when you cast certain spells"],
			["combat"]			= false,
			["hunteronly"]		= true,	
		},
		["auto_assist"] = {
			["default"]			= true,
			["type"] 			= "bool",
			["min"] 			= nil,
			["max"] 			= nil,
			["slash"] 			= "autoassist",
			["description"]		= L["Automatically put your pet on assist when you cast certain spells"],
			["combat"]			= false,
			["hunteronly"]		= true,	
		},
		-- ["auto_defensive"] = {
			-- ["default"]			= true,
			-- ["type"] 			= "bool",
			-- ["min"] 			= nil,
			-- ["max"] 			= nil,
			-- ["slash"] 			= "autodefensive",
			-- ["description"]		= L["Automatically put your pet on defensive when you cast certain spells"],
			-- ["combat"]			= false,
			-- ["hunteronly"]		= true,	
		-- },
	},
}