local l,C,S = BixLib,Growler_Constants, Growler_Stable
local _,L = ...

local SL = Growler_Slash or CreateFrame("Frame","Growler_Slash",UIParent)

local function printoption(opt)
	local val = "on/off"
	if opt.type == "number" then
		val = tostring(opt.min).."-"..tostring(opt.max)
	end
	local description = opt.description and " - ("..opt.description..")" or ""
	print(C.color.teal.."/growl "..opt.slash.." "..val..description)
end


	
SL.SetSlash2 = function()
	if not GrowlerDB.options.usegrowlemote then
		SLASH_GROWLER2 = "/growl"
	else
		SLASH_GROWLER2 = nil
	end
end

SL.Init = function()
	SLASH_GROWLER1 = "/growler"
	SL.SetSlash2()
	SlashCmdList["GROWLER"] = function(msg)
		local class = tostring(UnitClass("player"))
		local isHunter = (class == L["Hunter"])
		if (not msg or msg == "" or msg == "help") then
			print(" ")
			print(C.color.blue..L["Growler slash commands:"])
			print(C.color.blue..L["These commands CAN be used in combat:"])
			print(C.color.teal.."/growl settings - "..L["(open settings menu)"])
			print(C.color.teal.."/growl stables - "..L["(open/close the stables browser)"])
			print(C.color.teal.."/growl news - "..L["(print news about the latest updates)"])
			for c,cat in pairs(C.Options) do
				for o,opt in pairs(C.Options[c]) do
					if opt.combat and opt.type then
						if isHunter or not opt.hunteronly then printoption(opt) end
					end
				end
			end
			print(C.color.blue..L["These commands can NOT be used combat:"])
			for c,cat in pairs(C.Options) do
				for o,opt in pairs(C.Options[c]) do
					if not opt.combat and opt.type then
						if isHunter or not opt.hunteronly then printoption(opt) end
					end
				end
			end
		else
			local msg = string.lower(msg)
			local option, value = string.match(msg,"(%S+)%s+(%S+)")
			-- local number = tonumber(string.match(value,"^(%d+)$"))
			-- local float = tonumber(string.match(value,"^([%d]+\.[%d]+)$"))
			local bool = nil
			if value == "on" then
				bool = true
			elseif value == "off" then
				bool = false
			end		
			local number = tonumber(value)
			
			local optionexists = false
			
			if msg == "settings" then
				InterfaceOptionsFrame_OpenToCategory(getglobal("GrowlerOptions"))
				InterfaceOptionsFrame_OpenToCategory(getglobal("GrowlerOptions"))
				optionexists = true
			elseif msg == "stables" and isHunter then
				if S.IsOpen then S.HideStable() else S.ShowStable() end
				optionexists = true
			elseif msg == "news" then
				Growler.DisplayNews()
				optionexists = true
			else
				for c,cat in pairs(C.Options) do
					for o,opt in pairs(C.Options[c]) do
						if option==opt.slash then
							if (isHunter or not opt.hunteronly) and not (InCombatLockdown() and not opt.combat) then
								if opt.type == "bool" then
									if bool~=nil then
										GrowlerDB.options[o] = bool
										optionexists = true
										if GrowlerDB.options.slashmsg then print(C.color.teal..opt.slash.." is now "..value) end
									else
										print(C.color.redorange..L["Invalid value. Can only use '%s' or '%s' with this command."]:format("on","off"))
										optionexists = true
									end
								elseif opt.type == "number" then
									if number and number <= opt.max and number >= opt.min then
										GrowlerDB.options[o] = number
										optionexists = true
										if GrowlerDB.options.slashmsg then print(C.color.teal..L["%s is now set to %s"]:format(opt.slash,value)) end
									else
										print(C.color.redorange..L["Invalid value. Can only use numbers in the range %s-%s with this command."]:format(tostring(opt.min),tostring(opt.max)))
										optionexists = true
									end
								end
								if not InCombatLockdown() then
									Growler.btn.growl.updatemacro()
									Growler.btn.call.updatemacro()
									Growler.bar.SavePos()
									Growler.bar.ResetPos()
									SL.SetSlash2()
								end
							elseif InCombatLockdown() and opt.combat == false then
								print(C.color.redorange..L["That option cannot be used in combat."])
								optionexists = true
							end
							break
						elseif msg==opt.slash then
							print(C.color.redorange..L["You must enter a value with this command. Type /growler to see a list."])
							optionexists = true
							break
						end
					end
				end
			end
			
			if not optionexists then
				print(C.color.redorange..L["No such command. Type /growler to see a list of commands."])
			end
		end
	end
end